Subject: Re: bug#8968: arc-mode 7z writing support

From: Juri Linkov <[email-masked]>
Date: Fri, 08 Jul 2011 23:20:43 +0300

>> AFAIU, 7z as a program is Free Software on GNU/Linux systems.
>
> Not AFAIK.  At least fencepost.gnu.org doesn't have 7z, but does have
> p7zip, which is a shell script.  That shell script invokes another
> shell script, called 7zr, which in turn invokes a program
> /usr/lib/p7zip/7zr.

I'd like to find the definitive answer.  On fencepost.gnu.org
7z is not installed, but for what reason?

I see that p7zip-full.deb contains 7z that handles free archives,
and there is a separate p7zip-rar.deb to handle non-free archives.

>> The program `p7zip' (a gzip like wrapper) is not suitable for using in
>> arc-mode.el on GNU/Linux.
>
> Why not?

`p7zip' is just a gzip like wrapper that just calls `7zr a -si' and
`7zr x -so' on stdin/stdout.  Such interface is not used in arc-mode.el.

> Is 7zr suitable?  If so, we should use it in preference to 7z.

There are two kinds of functionality where 7z can be used
in arc-mode.el:

1. Browse and update archives in the 7z format.

I agree that `7zr' should be preferable, and `7z' should be
used as a second option when `7zr' is not available.

2. Browse and update zip and other free archives.

Only `7z' can be used for this functionality, not `7zr'.

>> The difference between programs `7z' and `7za' is not essential:
>> one of them is just a standalone version of another.
>
> That's not what Jason said.

Jason said this about Windows.  What I see on GNU/Linux is different.